@init
@1_initorca2_v2
;@initorca2_o
; draw the meridional stream function on one sheat
;
nexp = 2
e_exp=strarr(nexp)
; exp name & year
e_exp(0)='SEA8'
e_exp(1)='SEA7'
e_year='1500'
norc=2
;
; sub-basin masks: glomsk,atlmsk, pacmsk, indmsk, aramsk, arpmsk, medmsk, redmsk , glomsk_msf
	restore, filename=iodir+'meshes:submsk_orcaR2_v2.dat'
; define vmask for each sub basin (mask in the ACC: MSF computation)
	vmsk = make_array(jpi,jpj,5)
	vmsk(*,*,0) = shift(glomsk, 0, -1) * glomsk
	atlmsk=atlmsk*glomsk_msf		&	vmsk(*,*,1) = shift(atlmsk, 0, -1) * atlmsk
	pacmsk=pacmsk*glomsk_msf		&	vmsk(*,*,2) = shift(pacmsk, 0, -1) * pacmsk
	indmsk=indmsk*glomsk_msf		&	vmsk(*,*,3) = shift(indmsk, 0, -1) * indmsk
	ipacmsk=(pacmsk+indmsk)*glomsk_msf	&	vmsk(*,*,4)= shift(ipacmsk, 0, -1) * ipacmsk
;
; read and compute the msf for eulerian and eiv velocity
	msf  = make_array(jpj,jpk,5,nexp)
	msfe = make_array(jpj,jpk,5,nexp)
        for no=0,nexp-1 do begin                                                                        &$
                ioDATA=iodir+e_exp(no)                                                                  &$
                file_V=e_exp(no)+'_1y_'+e_year+'_'+e_year+'_grid_V.nc'                                  &$
                vv=read_ncdf('vomecrty',0,/timestep,iodir=ioDATA,/nostruct,/tout,filename=file_V)       &$
                for nbas=0,4 do msf(*,*,nbas,no) = msfz(vv, mask=vmsk(*,*,nbas) , orca=norc)            &$
                vv=read_ncdf('vomeeivv',0,/timestep,iodir=ioDATA,/nostruct,/tout,filename=file_V)       &$
                for nbas=0,4 do msfe(*,*,nbas,no) = msfz(vv, mask=vmsk(*,*,nbas) , orca=norc)           &$
        endfor
;
; title
	t_msf = strarr(5)
	t_msf(0) = ' Global effective MSF y'+e_year
	t_msf(1) = ' Atlantic effective MSF y'+e_year
	t_msf(2) = ' Pacific effective MSF y'+e_year
	t_msf(3) = ' Indian effective MSF y'+e_year
	t_msf(4) = ' Indo-Pacific effective MSF y'+e_year
;
	no =0	; <<== change it for individual plot !!!
        n1 =1
;	=====
;
openps, e_exp(no)+e_exp(n1)+'_y'+e_year+'_'+'MSF.ps'
	z_ext=[-40.,40.,2.]
	pltz, msf(*,*,0,no)+msfe(*,*,0,no), min=z_ext[0], max=z_ext[1], int=z_ext[2], /landscape, $
          title=e_exp(no)+t_msf(0),/nocolor,lct=64, boite=(5000),zoom=5000, petit=[2,4,1], /rempli, ytitle='depth (m)'
	z_ext=[-20.,20.,1.]
	for nbas=1,3 do pltz, msf(*,*,nbas,no)+msfe(*,*,nbas,no), min=z_ext[0], max=z_ext[1], int=z_ext[2], /noerase, $
          title=e_exp(no)+t_msf(nbas),/nocolor,lct=64, boite=(5000),zoom=5000, petit=[2,4,2*nbas+1], /rempli, ytitle='depth (m)'
	z_ext=[-40.,40.,2.]
	pltz, msf(*,*,0,n1)+msfe(*,*,0,n1), min=z_ext[0], max=z_ext[1], int=z_ext[2], /landscape, /noerase, $
          title=e_exp(n1)+t_msf(0),/nocolor,lct=64, boite=(5000),zoom=5000, petit=[2,4,2], /rempli, ytitle='depth (m)'
	z_ext=[-20.,20.,1.]
	for nbas=1,3 do pltz, msf(*,*,nbas,n1)+msfe(*,*,nbas,n1), min=z_ext[0], max=z_ext[1], int=z_ext[2], /noerase, $
          title=e_exp(n1)+t_msf(nbas),/nocolor,lct=64, boite=(5000),zoom=5000, petit=[2,4,2*nbas+2], /rempli, ytitle='depth (m)'
closeps
;
openps, e_exp(no)+e_exp(n1)+'_y'+e_year+'_'+'MSFeiv.ps'
	z_ext=[-40.,40.,2.]
	pltz, msfe(*,*,0,no), min=z_ext[0], max=z_ext[1], int=z_ext[2], /landscape, $
          title=e_exp(no)+t_msf(0),/nocolor,lct=64, boite=(5000),zoom=5000, petit=[2,4,1], /rempli, ytitle='depth (m)'
	z_ext=[-20.,20.,1.]
	for nbas=1,3 do pltz, msfe(*,*,nbas,no), min=z_ext[0], max=z_ext[1], int=z_ext[2], /noerase, $
          title=e_exp(no)+t_msf(nbas),/nocolor,lct=64, boite=(5000),zoom=5000, petit=[2,4,2*nbas+1], /rempli, ytitle='depth (m)'
	pltz, msfe(*,*,0,n1), min=z_ext[0], max=z_ext[1], int=z_ext[2], /landscape, /noerase, $
          title=e_exp(no)+t_msf(0),/nocolor,lct=64, boite=(5000),zoom=5000, petit=[2,4,2], /rempli, ytitle='depth (m)'
	z_ext=[-20.,20.,1.]
	for nbas=1,3 do pltz, msfe(*,*,nbas,n1), min=z_ext[0], max=z_ext[1], int=z_ext[2], /noerase, $
          title=e_exp(no)+t_msf(nbas),/nocolor,lct=64, boite=(5000),zoom=5000, petit=[2,4,2*nbas+2], /rempli, ytitle='depth (m)'
closeps
;
	n1 =0	; <<== change it for 2 by 2 differences plot (n1-n2) !!!
	n2 =1
;	=====
;
openps, e_exp(n1)+'-'+e_exp(n2)+'_y'+e_year+'_'+'MSF2.ps'
	z_ext=[-10.,10.,.5]
	for nbas=0,3 do pltz, msf(*,*,nbas,n1)+msfe(*,*,nbas,n1)-msf(*,*,nbas,n2)-msfe(*,*,nbas,n2), /landscape, /noerase, $
	 min=z_ext[0], max=z_ext[1], int=z_ext[2], /rempli, ytitle='depth (m)', $
         title=e_exp(n1)+' - '+e_exp(n2)+t_msf(nbas),/nocolor,lct=64, boite=(5000),zoom=5000, petit=[2,4,2*nbas+1]
closeps
